surfacefilter.h File Reference

Contains a packet that filters through normal surfaces. More...

`#include <set>`
`#include "regina-core.h"`
`#include "maths/integer.h"`
`#include "packet/packet.h"`
`#include "surfaces/surfacefiltertype.h"`
`#include "utilities/boolset.h"`

## Classes

struct | regina::SurfaceFilterInfo< filterType >
| A template that stores information about a particular type of normal surface filter. More...
class | regina::SurfaceFilter
| A packet that accepts or rejects normal surfaces. More...
class | regina::SurfaceFilterCombination
| A normal surface filter that simply combines other filters. More...
class | regina::SurfaceFilterProperties
| A normal surface filter that filters by basic properties of the normal surface. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_SURFACE_FILTER(class_, id)
| Defines various constants, types and virtual functions for a descendant class of SurfaceFilter. More...

## Typedefs

typedef SurfaceFilter | regina::NSurfaceFilter
| Deprecated typedef for backward compatibility. More...
typedef SurfaceFilterCombination | regina::NSurfaceFilterCombination
| Deprecated typedef for backward compatibility. More...
typedef SurfaceFilterProperties | regina::NSurfaceFilterProperties
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Contains a packet that filters through normal surfaces.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).